r15389 - gnucash/trunk/packaging/win32 - Add gwenhywfar/aqbanking for win32 online banking. Not yet activated because we are waiting for upstream releases.

Christian Stimming cstim at cvs.gnucash.org
Mon Jan 15 12:36:02 EST 2007


Author: cstim
Date: 2007-01-15 12:36:01 -0500 (Mon, 15 Jan 2007)
New Revision: 15389
Trac: http://svn.gnucash.org/trac/changeset/15389

Modified:
   gnucash/trunk/packaging/win32/custom.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Add gwenhywfar/aqbanking for win32 online banking. Not yet activated because we are waiting for upstream releases.

Modified: gnucash/trunk/packaging/win32/custom.sh
===================================================================
--- gnucash/trunk/packaging/win32/custom.sh	2007-01-15 16:01:31 UTC (rev 15388)
+++ gnucash/trunk/packaging/win32/custom.sh	2007-01-15 17:36:01 UTC (rev 15389)
@@ -166,6 +166,15 @@
 SVN_URL="http://subversion.tigris.org/files/documents/15/35379/svn-1.4.2-setup.exe"
 SVN_DIR=$GLOBAL_DIR\\svn
 
+## online banking: gwenhywfar+aqbanking
+# Note: These versions are not yet released as of 2007-01-15
+GWENHYWFAR_URL="$SF_MIRROR/gwenhywfar/gwenhywfar-2.5.1.tar.gz"
+GWENHYWFAR_DIR=$GLOBAL_DIR\\gwenhywfar
+
+AQBANKING_URL="$SF_MIRROR/aqbanking/aqbanking-2.2.5.tar.gz"
+AQBANKING_DIR=$GLOBAL_DIR\\aqbanking
+##
+
 # There is no reason to ever need to comment these out!
 # * commented out glade, as it is not needed to run gnucash
 if test x$cross_compile != xyes ; then
@@ -192,6 +201,10 @@
 add_step inst_libgsf
 add_step inst_goffice
 #add_step inst_glade
+## Online banking:
+#add_step inst_gwenhywfar
+#add_step inst_aqbanking
+##
 if test x$cross_compile != xyes ; then
  add_step inst_inno
 fi

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2007-01-15 16:01:31 UTC (rev 15388)
+++ gnucash/trunk/packaging/win32/install.sh	2007-01-15 17:36:01 UTC (rev 15389)
@@ -614,6 +614,53 @@
     quiet which iscc || die "iscc (Inno Setup Compiler) not installed correctly"
 }
 
+function inst_gwenhywfar() {
+    setup Gwenhywfar
+    _GWENHYWFAR_UDIR=`unix_path ${GWENHYWFAR_DIR}`
+    _OPENSSL_UDIR=`unix_path ${OPENSSL_DIR}`
+    add_to_env ${_GWENHYWFAR_UDIR}/bin PATH
+    add_to_env ${_GWENHYWFAR_UDIR}/lib/pkgconfig PKG_CONFIG_PATH
+    if quiet ${PKG_CONFIG} --exists gwenhywfar
+    then
+	echo "Gwenhywfar already installed. Skipping."
+    else
+	wget_unpacked $GWENHYWFAR_URL $DOWNLOAD_DIR $TMP_DIR
+	qpushd $TMP_UDIR/gwenhywfar-*
+	    ./configure \
+		--with-openssl-includes=$_OPENSSL_UDIR/include \
+		--with-openssl-libs=$_OPENSSL_UDIR/lib \
+	        --prefix=$_GWENHYWFAR_UDIR \
+		LDFLAGS="${REGEX_LDFLAGS}"
+	    make
+	    make install
+	qpopd
+    fi
+    ${PKG_CONFIG} --exists gwenhywfar || die "Gwenhywfar not installed correctly"
+}
+
+function inst_aqbanking() {
+    setup AqBanking
+    _AQBANKING_UDIR=`unix_path ${AQBANKING_DIR}`
+    add_to_env ${_AQBANKING_UDIR}/bin PATH
+    add_to_env ${_AQBANKING_UDIR}/lib/pkgconfig PKG_CONFIG_PATH
+    if quiet ${PKG_CONFIG} --exists aqbanking
+    then
+	echo "AqBanking already installed. Skipping."
+    else
+	wget_unpacked $AQBANKING_URL $DOWNLOAD_DIR $TMP_DIR
+	qpushd $TMP_UDIR/aqbanking-*
+	    ./configure \
+		--with-gwen-dir=${_GWENHYWFAR_UDIR} \
+		--with-frontends="cbanking" \
+		--with-backends="aqdtaus aqhbci" \
+	        --prefix=${_AQBANKING_UDIR}
+	    make
+	    make install
+	qpopd
+    fi
+    ${PKG_CONFIG} --exists aqbanking || die "AqBanking not installed correctly"
+}
+
 function inst_svn() {
     setup Subversion
     _SVN_UDIR=`unix_path $SVN_DIR`
@@ -651,6 +698,10 @@
     _REL_REPOS_UDIR=`unix_path $REL_REPOS_DIR`
     mkdir -p $_BUILD_UDIR
 
+    AQBANKING_OPTIONS=""
+    # When aqbanking is enabled, uncomment this:
+    #AQBANKING_OPTIONS="--enable-hbci --with-aqbanking-dir=${_AQBANKING_UDIR}"
+
     qpushd $REPOS_DIR
         if test "x$cross_compile" = xyes ; then
             # Set these variables manually because of cross-compiling
@@ -669,6 +720,7 @@
             --prefix=$_INSTALL_WFSDIR \
             --enable-debug \
             --enable-schemas-install=no \
+	    ${AQBANKING_OPTIONS} \
             --enable-binreloc \
             CPPFLAGS="${AUTOTOOLS_CPPFLAGS} ${REGEX_CPPFLAGS} ${GNOME_CPPFLAGS} ${GUILE_CPPFLAGS} -D_WIN32" \
             LDFLAGS="${AUTOTOOLS_LDFLAGS} ${REGEX_LDFLAGS} ${GNOME_LDFLAGS} ${GUILE_LDFLAGS}" \



More information about the gnucash-changes mailing list